﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace UpDownTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        
    
    }

    public class RibonTextBoxWithLabel
    {
        public static string GetLabel(DependencyObject obj)
        {
            return (string)obj.GetValue(LabelProperty);
        }

        public static void SetLabel(DependencyObject obj, string value)
        {
            obj.SetValue(LabelProperty, value);
        }
       
        // Using a DependencyProperty as the backing store for Label.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty LabelProperty =
            DependencyProperty.RegisterAttached("Label", typeof(string), typeof(RibonTextBoxWithLabel), new PropertyMetadata(string.Empty));

        public static HorizontalAlignment GetLabelHorizontalAlignment(DependencyObject obj)
        {
            return (HorizontalAlignment)obj.GetValue(LabelHorizontalAlignmentProperty);
        }

        public static void SetLabelHorizontalAlignment(DependencyObject obj, string value)
        {
            obj.SetValue(LabelHorizontalAlignmentProperty, value);
        }
        // Using a DependencyProperty as the backing store for LabelHorizontalAlignment.  This enables animation, styling, binding, etc...

        public static readonly DependencyProperty LabelHorizontalAlignmentProperty =
            DependencyProperty.RegisterAttached("LabelHorizontalAlignment", typeof(HorizontalAlignment), typeof(RibonTextBoxWithLabel), new PropertyMetadata(HorizontalAlignment.Left));

 
    }
}
